# __gnu_cxx::__promote_2< _Tp, _Up > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Up>
struct __gnu_cxx::__promote_2< _Tp, _Up >

Definition at line 173 of file type_traits.h.

## Public Member Functions

- typedef __typeof__ (__type1()+__type2()) __type

The documentation for this struct was generated from the following file:

- type_traits.h